# Uses of Class
com.google.protobuf.TextFormatParseInfoTree

Packages that use TextFormatParseInfoTree
Package
Description
com.google.protobuf

## Uses of TextFormatParseInfoTree in com.google.protobuf

Methods in com.google.protobuf that return TextFormatParseInfoTree
Modifier and Type
Method
Description
`TextFormatParseInfoTree`
TextFormatParseInfoTree.Builder.`build()`
Build the `TextFormatParseInfoTree`.
`TextFormatParseInfoTree`
TextFormatParseInfoTree.`getNestedTree(Descriptors.FieldDescriptor fieldDescriptor, int index)`
Returns the parse info tree for the given field, which must be a message type.
Methods in com.google.protobuf that return types with arguments of type TextFormatParseInfoTree
Modifier and Type
Method
Description
`List<TextFormatParseInfoTree>`
TextFormatParseInfoTree.`getNestedTrees(Descriptors.FieldDescriptor fieldDescriptor)`
Retrieve a list of all the location information trees for a sub message field.